Skip to main content
POST
Allocate transaction

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
invoice_id
string
required

ID of the invoice to allocate the transaction to. It must belong to the transaction's customer, use its currency, and be awaiting payment. Refund transactions can only be allocated to credit notes.

Example:

"inv_2QdJDDUej969ev"

amount
integer

Amount to allocate, in the currency's smallest unit. Defaults to the lower of the transaction's unallocated amount and the invoice's remaining amount due. Rejected when it exceeds that amount.

Required range: 1 <= x <= 9007199254740991
Example:

31500

Response

id
string
required

Transaction ID.

Example:

"tra_2QdJDDUej969ev"

type
enum<string>
required

Transaction type.

  • subscription: The transaction is related to a subscription payment.
  • one_time: The transaction is related to a one-time payment.
  • refund: The transaction is related to a refund payment.
  • chargeback: The transaction records funds withdrawn after a payment dispute.
Available options:
subscription,
one_time
Example:

"subscription"

amount
number
required

Transaction amount.

Example:

31500

currency
enum<string>
required

Transaction currency.

Available options:
EUR,
AED,
AFN,
XCD,
ALL,
AMD,
AOA,
ARS,
USD,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
XOF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
NOK,
BWP,
BYR,
BZD,
CAD,
CDF,
XAF,
CHF,
NZD,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
ANG,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
MAD,
ERN,
ETB,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRO,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
XPF,
NGN,
NIO,
NPR,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
SSP,
STD,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
UYU,
UZS,
VEF,
VND,
VUV,
WST,
YER,
ZAR,
ZMW,
ZWL
Example:

"EUR"

customer_id
string
required

ID of the customer linked to the transaction.

Example:

"cus_QalW2vTAdkR6IY"

provider_id
string | null
required
deprecated

Deprecated field, please use integrations[].entity_id.

process_at
string<date-time>
required

Date corresponding to the processing of the transaction. If in the future, the transaction is scheduled to be processed.

Example:

"2024-11-12T07:38:39.222Z"

settled_at
string<date-time> | null
required

Date when the transaction was settled. For provider transactions, this is derived from provider settlement data when available.

Example:

"2024-11-12T07:38:39.222Z"

created_at
string<date-time>
required

Date the transaction was recorded in Hyperline, independent of its processing date.

Example:

"2026-11-12T10:00:00.000Z"

updated_at
string<date-time>
required

Date the transaction or its invoice allocations were last updated in Hyperline. Use the updated_at filters to sync changes incrementally.

Example:

"2026-11-12T11:00:00.000Z"

refunded_at
string<date-time> | null
required

Date corresponding to the refund of the transaction.

Example:

null

last_refreshed_at
string<date-time> | null
required

Date corresponding to the last synchronization of the details with the payment provider.

Example:

null

provider_fee
object | null
required

Fee applied by the Payment Service Provider. Only supported for Stripe.

Example:

null

integrations
object[]
required
allocations
object[]
required

Invoice allocations currently associated with the transaction.

payment_method_type
enum<string>
required

Payment method type used for the transaction.

Available options:
card,
direct_debit,
direct_debit_ach,
direct_debit_bacs
payment_method
Card · object
required

Payment method used for a card or direct debit transaction.

status
enum<string>
required

Transaction status.

  • scheduled: The transaction is scheduled to be processed in the future.
  • to_process: The transaction is waiting to be processed by our system.
  • pending: The transaction has been authorized by the related payment processor, but the banking transaction is not yet settled.
  • settled: The transaction has been cleared on the banking side, the money transfer is fully completed.
  • cancelled: The transaction has been cancelled and won't be processed again.
Available options:
scheduled,
to_process,
pending,
settled,
cancelled
Example:

"settled"